VERSION 5.00
Begin VB.Form frmPickComputers 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Pick Computers"
   ClientHeight    =   4125
   ClientLeft      =   3105
   ClientTop       =   2445
   ClientWidth     =   6450
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4125
   ScaleWidth      =   6450
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5280
      TabIndex        =   5
      Top             =   3690
      Width           =   1065
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   3960
      TabIndex        =   4
      Top             =   3690
      Width           =   1065
   End
   Begin VB.ListBox lstComputer2 
      Height          =   3180
      Left            =   3240
      TabIndex        =   3
      Top             =   390
      Width           =   3075
   End
   Begin VB.ListBox lstComputer1 
      Height          =   3180
      Left            =   90
      TabIndex        =   2
      Top             =   390
      Width           =   3075
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Pick Computer #2"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   3240
      TabIndex        =   1
      Top             =   120
      Width           =   1530
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Pick Computer #1"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   90
      TabIndex        =   0
      Top             =   120
      Width           =   1530
   End
End
Attribute VB_Name = "frmPickComputers"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public Event Selection(ByVal Computer1 As String, ByVal computer2 As String)

Private m_objAPI As cAPI

Private Sub cmdCancel_Click()
   Unload Me
End Sub

Private Sub cmdOK_Click()
   Dim strComputer1 As String
   Dim strComputer2 As String
   
   strComputer1 = Me.lstComputer1.List(Me.lstComputer1.ListIndex)
   strComputer2 = Me.lstComputer2.List(Me.lstComputer2.ListIndex)
   
   If (strComputer1 = vbNullString) Or (strComputer2 = vbNullString) Then
      MsgBox "You must select a computer from each list", vbOKOnly + vbExclamation, App.ProductName
      Exit Sub
   End If
   
   If (strComputer1 = strComputer2) Then
      MsgBox "You must select a different computer from each list", vbOKOnly + vbExclamation, App.ProductName
      Exit Sub
   End If
   
   RaiseEvent Selection(strComputer1, strComputer2)
   
   Unload Me
   
End Sub

Private Sub Form_Load()
   Dim vntRtn As Variant
   Dim strLocalMachine As String
   Dim lngLoop As Long
   
   Set m_objAPI = New cAPI
   
   strLocalMachine = UCase$(Trim$(m_objAPI.GetLocalMachineName()))
   
   vntRtn = m_objAPI.GetServers
   
   Me.lstComputer1.AddItem LOCAL_MACHINE
   Me.lstComputer2.AddItem LOCAL_MACHINE
   
   For lngLoop = 0 To UBound(vntRtn)
      If UCase$(Trim$(vntRtn(lngLoop, 1))) <> strLocalMachine Then
         Me.lstComputer1.AddItem vntRtn(lngLoop, 1)
         Me.lstComputer2.AddItem vntRtn(lngLoop, 1)
      End If
   Next lngLoop
   
End Sub
